GET /commerce/{accountId}/stores/{storeId}

A store represents a unique ordering experience from a specific location.

Path parameters

  • accountId string Required

    Default value is 668e4aa170efd23c474b2ad1.

  • storeId string Required

    Default value is 67eec873bce11fefe906a2a8.

Responses

  • 200 application/json

    200

    Hide response attributes Show response attributes object
    • id string
    • name string
    • currency string
    • address object
      Hide address attributes Show address attributes object
      • source string
      • coordinates array[number]

        Default value is 0.

      • country string
      • city string
      • stateOrProvince string
    • openingHours object
      Hide openingHours attributes Show openingHours attributes object
      • timezone string
      • dayTimeRanges array[object]
        Hide dayTimeRanges attributes Show dayTimeRanges attributes object
        • dayOfWeek integer

          Default value is 0.

        • startTime string
        • endTime string
    • distance integer

      Default value is 0.

    • taxExclusive boolean

      Default value is true.

    • contact object
      Hide contact attributes Show contact attributes object
      • firstName string
      • lastName string
      • phoneNumber string
      • email string
    • fulfillmentTypes array[string]
    • status string
  • 400 application/json

    400

GET /commerce/{accountId}/stores/{storeId}
curl \
 --request GET 'https://api.staging.deliverect.com/commerce/{accountId}/stores/{storeId}' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "id": "65eee6a9984a1bc1b9637c59",
  "name": "Store Name",
  "status": "open",
  "address": {
    "city": "Ghent",
    "source": "1 Main street D13 R2P6 Ghent VOV",
    "country": "BE",
    "coordinates": [
      3.73398891371018,
      51.0311233802278
    ],
    "stateOrProvince": "VOV"
  },
  "contact": {
    "email": "john.doe@acme.com",
    "lastName": "Doe",
    "firstName": "John",
    "phoneNumber": "+32411111111"
  },
  "currency": "EUR",
  "distance": 1235,
  "openingHours": {
    "timezone": "Europe/Brussels",
    "dayTimeRanges": [
      {
        "endTime": "23:59:00",
        "dayOfWeek": 1,
        "startTime": "00:00:00"
      },
      {
        "endTime": "23:59:00",
        "dayOfWeek": 2,
        "startTime": "00:00:00"
      },
      {
        "endTime": "23:59:00",
        "dayOfWeek": 3,
        "startTime": "00:00:00"
      },
      {
        "endTime": "23:59:00",
        "dayOfWeek": 4,
        "startTime": "00:00:00"
      },
      {
        "endTime": "23:59:00",
        "dayOfWeek": 5,
        "startTime": "00:00:00"
      },
      {
        "endTime": "23:59:00",
        "dayOfWeek": 6,
        "startTime": "00:00:00"
      },
      {
        "endTime": "23:59:00",
        "dayOfWeek": 7,
        "startTime": "00:00:00"
      }
    ]
  },
  "taxExclusive": false,
  "channelLinkId": "65eee6a9984a1bc1b9637c59",
  "fulfillmentTypes": [
    "pickup",
    "delivery",
    "eatIn"
  ]
}
Response examples (400)
{}